Summary:	Linux driver for RDAC SCSI Device Handler
Name:		scsi_dh_rdac
BuildRequires:	%kernel_module_package_buildreqs
License:	GPL
Group:		System/Kernel
Version:	09.00.0000.0006
Release:	sles11.1
Source0:	%name-%version.tar.gz
BuildRoot:	%{_tmppath}/%{name}-%{version}-build

%suse_kernel_module_package	kdump	um

%description
This package contains RDAC SCSI Device Handler  %{driver_name}

%debug_package
%package KMP


Summary:        Update for RDAC SCSI Device Handler
Group:          System/Kernel

%description KMP
This package contains a driver update for RDAC SCSI Device Handler

%prep
%setup -q -n scsi_dh_rdac
#cp %_sourcedir/Module.supported Module.supported
set -- *
mkdir source
mv "$@" source/
mkdir obj
cd source

%build
for flavor in %flavors_to_build; do
	rm -rf obj/$flavor
	cp -r source obj/$flavor
	make -C /usr/src/linux-obj/%_target_cpu/$flavor modules M=$PWD/obj/$flavor
done

%install
export INSTALL_MOD_PATH=$RPM_BUILD_ROOT
export INSTALL_MOD_DIR=updates
for flavor in %flavors_to_build; do
	make -C /usr/src/linux-obj/%_target_cpu/$flavor modules_install M=$PWD/obj/$flavor
done

%changelog
* Fri May 20 2011 babu.moger@netapp.com
-Initial build of the NetApp RDAC driver package with IOSHIP feature
